import sysmetric

adaptor = sysmetric.ThermalAdapter(sysmetric.DeviceType.Artic, '192.168.1.142')
state = adaptor.get_control_state()
print('Current system state: {}'.format(adaptor.get_control_state_description(state)))
adaptor.turn_on()
errors = adaptor.get_errors()
print('Error list: {}'.format(errors))

temp = adaptor.get_actual_temperature()
print('Actual temperature: {}'.format(temp))

adaptor.set_temperature(25)
temp = adaptor.get_requested_temperature()
print('Requested temperature: {}'.format(temp))
temp = adaptor.get_actual_temperature()
print('Actual temperature: {}'.format(temp))

adaptor.turn_off()
adaptor.close()
